org.baraza.DB

## Class BJSONQuery

- java.lang.Object
- - org.baraza.DB.BQuery
  - - org.baraza.DB.BJSONQuery

-     public class BJSONQuery
      extends BQuery

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BJSONQuery(BDB db, BElement view, String wheresql, String orderby, Integer pageStart, Integer pageSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJSONData(String viewKey, boolean sfield)`
    `String` | `getSelectKey()`
    `void` | `setSelectAll()`

    - ### Methods inherited from class org.baraza.DB.BQuery

      `addColumnName, addField, beforeFirst, buildQuery, cancel, clear, close, filter, filterBuild, formatData, getAutoFields, getBoolean, getColnum, getColumnClass, getColumnCount, getColumnEdits, getColumnName, getColumnNames, getCsv, getCsvValueAt, getData, getDate, getDBType, getDeskConfig, getDouble, getErrMessage, getFieldName, getFieldNames, getFields, getFieldSize, getFieldType, getFieldType, getFloat, getFooter, getFormatField, getFormConfig, getFormField, getGridConfig, getInt, getKeyField, getKeyFieldData, getKeyFieldName, getLinks, getLinks, getMigrateConfig, getParams, getRow, getRowCount, getString, getTableConfig, getTableName, getTableXml, getTime, getValueAt, getViewSQL, importData, init, initCap, insertRow, insertRow, isFirst, isLast, makeQuery, moveFirst, moveLast, moveNext, movePos, movePrevious, readData, readData, readDocument, readField, readField, recAdd, recAudit, recDelete, recEdit, recSave, refresh, removeRow, reset, rowNumber, savecvs, saveNewRec, setSQL, setTableName, setTitles, setValueAt, updateField, updateRecField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BJSONQuery

          public BJSONQuery(BDB db,
                    BElement view,
                    String wheresql,
                    String orderby,
                    Integer pageStart,
                    Integer pageSize)

  - ### Method Detail

    - #### getJSONData

          public String getJSONData(String viewKey,
                           boolean sfield)

    - #### getSelectKey

          public String getSelectKey()

    - #### setSelectAll

          public void setSelectAll()

Copyright © 2016 openBaraza. All Rights Reserved.